> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Republish Connect events for envelopes

PUT https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/connect/envelopes/retry_queue
Content-Type: application/json

Republishes Connect information for the specified set of envelopes.

To use this method, you must be an account administrator
and Connect must be enabled on your account.

The primary use is to republish Connect post failures by including envelope IDs for the envelopes that failed to post in the request. The list of envelope IDs that failed to post correctly can be retrieved by calling to [Connect::listEventLogs](/docs/esign-rest-api/reference/connect/connectevents/list/) retrieve the failure log.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/connect/connectevents/retryforenvelopes

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.

### Body (application/json)

This endpoint expects a connectFailureFilter.

- `envelopeIds` (list of string, optional) — An array of envelope GUIDs. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
- `synchronous` (string, optional) — Must be **false.** Setting this property to any other value will result in errors.

## Response

### 200

Successful response.

- `retryQueue` (list of connectFailureResult, optional) — Details about a Connect failure result.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### connectFailureResult

This object contains details about a Connect failure result.

- `configId` (string, optional) — Reserved for Docusign.
- `configUrl` (string, optional) — Reserved for Docusign.
- `envelopeId` (string, optional) — The envelope ID of the envelope status that failed to post.
- `status` (string, optional) — The connection status.
- `statusMessage` (string, optional) — A human-readable message describing the connection status.

## Examples

**Request**

```json
{
  "envelopeIds": [
    "sample string 1"
  ],
  "synchronous": "sample string 1"
}
```

**Response**

```json
{
  "retryQueue": [
    {
      "configId": "sample string 1",
      "configUrl": "sample string 2",
      "envelopeId": "sample string 3",
      "status": "sample string 4",
      "statusMessage": "sample string 5"
    }
  ]
}
```